Subject: Re: [Capwap] New Issue 107: ImageDataStartTimer is not specified correctly

From: "Yong Zhang" <[email-masked]>
Date: Tue, 1 Jul 2008 13:37:43 -0700

This change is OK for me.

Yong

On Thu, Jun 26, 2008 at 5:11 AM, Pat Calhoun (pacalhou)
<[email-masked]> wrote:
> Yes, I believe you are once again correct. The issue was created when
> the Image Data Request/Response became bi-directional, and the timers
> were not adjusted correctly. The proper fix is, I believe, to make use
> of the timer on both the AC and the WTP:
>
> <text>
> 2.3.  CAPWAP State Machine Definition
> [...]
>   Image Data to Image Data (j):  The Image Data state is used by the
>      WTP and the AC during the firmware download phase.
>
>      WTP:  The WTP enters the Image Data state when it receives an
>         Image Data Response message indicating that the AC has more
>         data to send.  This state transition also occurs when the WTP
>         receives the subsequent Image Data Requests, at which time it
>         resets the ImageDataStartTimer time to ensure it receives the
>         next expected Image Data Request from the AC.
>
>      AC:  This state transition occurs when the AC receives the Image
>         Data Response message from the WTP while already in the Image
>         Data state.  The AC disables the ImageDataStartTimer timer.
>
>   Image Data to Reset (k):  This state transition is used to reset the
>      DTLS connection prior to restarting the WTP after an image
>      download.
>
>      WTP:  When an image download completes, or if the
>         ImageDataStartTimer timer expires, the WTP enters the Reset
>         state.  The WTP MAY also transition to this state upon
>         receiving an Image Data Response message from the AC (see
>         Section 9.1.2) indicating a failure.
>
>      AC:  The AC enters the Reset state when an error occurs during the
>         image download process or if the ImageDataStartTimer timer
>         expires.
>
> 4.7.8.  ImageDataStartTimer
>
>   The number of seconds the AC or WTP will wait for its peer to
> transmit the
>   Image Data Request.
> </text>
>
> PatC
> -----Original Message-----
> From: Yong Zhang [mailto:[email-masked]]
> Sent: Monday, June 23, 2008 11:15 AM
> To: [email-masked]
> Subject: [Capwap] ImageDataStartTimer
> indraft-ietf-capwap-protocol-specification-10.txt
>
> I have a question on this ImageDataStartTimer. What's the purpose of it?
>
> Is it used to define the AC waiting time for the first WTP image data
> req after it sends the join resp? After the first image data req is
> received from WTP,  this timer will be no use any more after the AC
> start image data push to WTP?
>
> Refer to figure 4/6 in chapter 9, the WTP will only send the first image
> data req message, then it will receive image data req from AC, and reply
> with image data resp.
>
> Page 24 Join to Image Data (f): AC: ImageDataStartTimer is started after
> the AC receives the Image Data Request message from the WTP
>
> Page 25 Image Data to Image Data (j):AC This state transition occurs
> when the AC receives the Image
>         Data Request message from the WTP while already in the Image
>         Data state.  The AC resets the ImageDataStartTimer timer.
>
>         Here you want to say the first Image data req from WTP, or the
> image data response from WTP for AC's image data req? If it is the first
> one, there is no image data req from WTP when the FSM is in Image Data
> state.
>
>         Reset timer is the timer to be restarted or canceled?
>
> Thanks!
>
> Yong
>
>
>
>
>
> In this spec., most of req messages are send by WTP. The image data req
> is an exception, which is mainly used by AC.
> _________________________________________________________________
> To unsubscribe or modify your subscription options, please visit:
> http://lists.frascone.com/mailman/listinfo/capwap
>
> Archives: http://lists.frascone.com/pipermail/capwap
>
_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap